    /*
     *  call-seq:
     *     index_writer.close -> nil
     *
     *  Close the IndexWriter. This will close and free all resources used
     *  exclusively by the index writer. The garbage collector will do this
     *  automatically if not called explicitly.
     */
    static VALUE
    frb_iw_close(VALUE self)
    {
        IndexWriter *iw = (IndexWriter *)DATA_PTR(self);
        Frt_Unwrap_Struct(self);
        iw_close(iw);
        return Qnil;
    }